#
# spec file for package xemacs (Version 21.4.13)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  automake canna canna-devel canna-libs compface db db-devel fwnndev gpm gpp libgpp libjpeg libpng-devel-packages libtiff openldap2 openldap2-client openldap2-devel openssl openssl-devel update-desktop-files x-devel-packages xaw3d xf86
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86 XFree86-devel XFree86-libs autoconf automake binutils canna canna-devel canna-libs compface cracklib db-devel fontconfig fontconfig-devel fwnndev gcc gcc-c++ gdbm gettext heimdal-lib libjpeg libpng libpng-devel libstdc++-devel libtiff libtool openldap2 openldap2-devel openssl-devel perl rpm update-desktop-files xaw3d

Name:         xemacs
URL:          http://www.xemacs.org
License:      GPL
Group:        Productivity/Editors/Emacs
Obsoletes:    xe_exec
Requires:     xemacs-info xemacs-packages ctags
Autoreqprov:  on
Version:      21.4.13
Release:      123
Summary:      XEmacs
Source0:      ftp://ftp.xemacs.org/xemacs-21.4/xemacs-21.4.13.tar.bz2
Source1:      xe-list.el
Patch0:       xemacs-21.4.4.dif
Patch1:       xemacs-autoconf.patch
# keep in sync with the similar patch to the app-defaults in the main xemacs-packages package:
Patch3:       xemacs-21.4.8-app-defaults.patch
Patch5:       xemacs-21.4.4-font-menu.patch
Patch12:      xemacs-21.4.6-configure.in.patch
Patch13:      xemacs-ia64.dif
Patch14:      xemacs-21.4.8-ndbm.patch
Patch17:      xemacs-lim_data.patch
Patch18:      xemacs-21.4.8-xevent.patch
Patch28:      xemacs-21.5.18-movemail.patch

%description
This is the current version of XEmacs, former known as Lucid-Emacs. It
is related to other versions of Emacs, in particular GNU Emacs. Its
emphasis is on modern graphical user interface support and an open
software development model, similar to Linux.

Lisp macros are not necessarily interchangeable between GNU-emacs and
Xemacs. This is mainly important for translated .elc files and the key
macros.



Authors:
--------
    Chuck Thompson   <cthomp@cs.uiuc.edu>
    Ben Wing <wing@666.com>
    and many other contributors

Summary:      XEmacs
%package     -n xemacs-el
Obsoletes:    xe_lisp
Requires:     xemacs xemacs-packages-el
Summary:      Emacs-Lisp source files for XEmacs
Group:        Productivity/Editors/Emacs
Autoreqprov:  on

%description -n xemacs-el
Most Emacs-Lisp source files are not needed for running XEmacs. Most of
them are also available in byte compiled form and therefore not
necessary at runtime. The true XEmacs addict will install them
nevertheless because it is often useful and enlightening to have a look
at the Lisp sources.



Authors:
--------
    Chuck Thompson   <cthomp@cs.uiuc.edu>
    Ben Wing <wing@666.com>
    and many other contributors

%package     -n xemacs-info
Obsoletes:    xe_info
Requires:     xemacs-packages-info
Summary:      Info files for XEmacs
Group:        Productivity/Editors/Emacs
Autoreqprov:  on

%description -n xemacs-info
This package contains all info files for XEmacs. All these files can be
read online with XEmacs and describe xemacs and some of its modes.



Authors:
--------
    Chuck Thompson   <cthomp@cs.uiuc.edu>
    Ben Wing <wing@666.com>
    and many other contributors

%prep
%setup -q -n xemacs-%{version}
%patch1 -p1 -b .conf
%patch3 -p0 -b .appdef
#%patch5 -p1 -b .fontmenu # appears to be not needed anymore
%patch12 -p1 -b .configurein
%patch13 -p0 -b .ia64
%patch14 -p1 -b .ndbm
%patch17 -p0 -b .lim
%patch18 -p0 -b .xevent
%patch28 -p0 -b .movemail
%patch0 -p0
find lisp/ etc/ packages/ -name '*.elc' | xargs -r rm -f

%build
%{?suse_update_config:%{suse_update_config -f}}
rm configure.ac
autoconf
## needed for detection of XFree86[tm]
touch /etc/XF86Config
VERSION=%{version}
  SHARE=/usr/share
    LIB=/usr/lib
    SYS=${RPM_ARCH}-suse-linux
%ifarch %ix86
%if %suse_version > 800
    LOOP="${RPM_OPT_FLAGS}"
%else
    LOOP='-m486 -malign-loops=2 -malign-jumps=2 -malign-functions=2'
%endif
%endif
   INFO=${SHARE}/xemacs/info
LIBEXEC=${LIB}/xemacs/${VERSION}
   ARCH=${LIBEXEC}/${SYS}
   DATA=${SHARE}
   LISP=${DATA}/xemacs/${VERSION}/lisp
    ETC=${DATA}/xemacs/${VERSION}/etc
    MOD=${ARCH}/modules
  STATE=/var/lib/xemacs
    MAN=/usr/share/man/man1
 CFLAGS="${RPM_OPT_FLAGS} -Wall -Wno-switch -pipe ${LOOP}"
# -z nocombreloc is essential, otherwise the dumping of XEmacs will not work,
# it does not handle the sorted relocs correctly.
LDFLAGS="-s -znocombreloc"
export CFLAGS LDFLAGS
#
# Maybe there are emacs and xemacs on the
# same system, therefore put binaries into /usr/X11R6/bin
#
PREFIX="--prefix=/usr \
	--exec-prefix=/usr \
	--bindir=/usr/X11R6/bin \
	--datadir=${SHARE} \
	--archlibdir=${ARCH} \
	--docdir=${ARCH} \
	--lispdir=${LISP} \
	--pkgdir=${LISP} \
	--etcdir=${ETC} \
	--statedir=${STATE} \
	--moduledir=${MOD} \
	--infodir=${INFO} \
	--mandir=${MAN} \
"
#
# --with-sound=both requires NAS (Network Audio System)
#
# --with-socks and --with-term needs some nonexisting libs
#                              (maybe included in {g}libc)
# --with-tooltalk needs tt_c.h
# --with-canna needs X11 canna support
# --with-wnn needs X11 wnn support
#
# We need site-lisp because the long time (x)emacs users
# expect something like this.
#
%ifnarch s390
SPECIAL="--with-sound=native \
	 --with-database=gnudbm,berkdb \
	 --with-ncurses \
	 --with-tty=yes \
	 --with-gpm \
	 --with-site-lisp \
	 --pdump \
"
%else
SPECIAL="--with-database=gnudbm,berkdb \
         --with-ncurses \
         --with-tty=yes \
         --with-site-lisp \
	 --pdump \
"
%endif
#
# Graphics and X window system
#  * --with-cde needs Motif
#
X11="--with-xpm \
     --with-gif \
     --with-tiff \
     --with-jpeg \
     --with-png \
     --with-x \
     --with-athena=3d \
     --with-menubars=lucid \
     --with-scrollbars=lucid \
     --with-dialogs=athena \
     --with-widgets=athena \
     --x-includes=/usr/X11R6/include \
     --x-libraries=/usr/X11R6/%{_lib} \
"
#
# Mail
#  * --mail-locking should be self detected
#  * --with-xface requires compface library
#
MAIL="--with-clash-detection \
      --with-ldap \
      --with-pop
"
#
# Mule
#
#  --with-xfs   Compile with XFontSet support for bilingual menubar.
#               Can't use this option with --with-xim=motif or xlib.
#               And should have --with-menubars=lucid.
#
#               (this is necessary to get German, French, Japanese
#               and Romanian texts in the menus. It DOES work with
#               --with-xim=xlib, the above comment from './configure --help'
#               seems to be incorrect in that respect.)
#
MULE="--with-mule \
      --with-xim=xlib \
      --with-xfs \
"
#
# Compilation
#  * --with-system-malloc only for libc.5.4.3x and higher
#
COMP="--with-gcc \
      --dynamic \
      --rel-alloc \
      --debug=no \
      --error-checking=none \
      --cflags=\"${CFLAGS}\" \
      --ldflags=\"${LDFLAGS}\" \
"
eval ./configure $SYS $COMP $PREFIX $SPECIAL $X11 $MULE $MAIL
make

%install
set +o posix
touch /tmp/bstamp; sleep 3; sync
#
mkdir -p /usr/share/xemacs/site-lisp/lisp
mkdir -p /usr/share/xemacs/%{version}/site-packages/lisp/term
mkdir -p /var/lib/xemacs/lock
chmod 1777 /var/lib/xemacs/lock
make install
#
# Workaround to avoid dumping paths to lisp files in /usr/src/packages/BUILD/...
# into the xemacs executable (dump xemacs again at the final location):
#
 
mkdir -p /usr/share/xemacs/%{version}/src
mkdir -p /usr/share/xemacs/%{version}/lib-src
cp /usr/lib/xemacs/%{version}/*/DOC /usr/share/xemacs/%{version}/lib-src/
# cp src/temacs /usr/share/xemacs/%{version}/src/
cp src/xemacs /usr/share/xemacs/%{version}/src/
cp Installation /usr/share/xemacs/%{version}/
pushd /usr/share/xemacs/%{version}/src/
   #./temacs -nd -batch -l ../lisp/loadup.el dump
   ./xemacs -nd -batch -l ../lisp/loadup.el dump
   # Check again for load-path shadows:
   # Note: don't use '-vanilla' because we remove "/site-packages/lisp/term/"
   # from load-path in site-start.el which will not get loaded when
   # '-vanilla' is used:
   ./xemacs -batch -f list-load-path-shadows
   install -m 1755 ./xemacs ./xemacs*.dmp /usr/X11R6/bin/
popd
rm -rf /usr/share/xemacs/%{version}/src/
rm -rf /usr/share/xemacs/%{version}/lib-src/
rm -f /usr/share/xemacs/%{version}/Installation
 
######################################################################
test -L /usr/X11R6/bin/xemacs && \
    rm  /usr/X11R6/bin/xemacs
test -x /usr/X11R6/bin/xemacs-%{version} && \
    mv  /usr/X11R6/bin/xemacs-%{version} /usr/X11R6/bin/xemacs
chmod 1755 /usr/X11R6/bin/xemacs
for f in /usr/man/man1/*.1 /usr/share/man/man1/*.1 /usr/share/xemacs/info/*info* \
	 /usr/share/xemacs/%{version}/etc/*.1 /usr/share/xemacs/%{version}/etc/mule/*.1
do
    test "${f##*.}" = "gz" && continue
    test -e $f || continue
    gzip -9f $f
done
find /usr/share/xemacs/%{version}/ -name '*.el.ediff' | xargs -r rm -f
find /usr/share/xemacs/%{version}/ -name '*.el.orig'  | xargs -r rm -f
find /usr/share/xemacs/%{version}/ -name '*.el.vm'    | xargs -r rm -f
# part of ctags package (ctags and etags)
rm -f /usr/X11R6/bin/ctags \
      /usr/X11R6/bin/etags \
      /usr/share/man/man1/ctags.1.gz \
      /usr/share/man/man1/etags.1.gz \
      /usr/share/xemacs/%{version}/etc/ctags.1.gz \
      /usr/share/xemacs/%{version}/etc/etags.1.gz
# Some .elc's are not needed:
find  /usr/share/xemacs/ -name '_pkg.elc'   | xargs -r rm -f
find  /usr/share/xemacs/ -name 'auto-autoloads.elc' | xargs -r rm -f
rm -f /usr/share/xemacs/%{version}/lisp/default.elc
rm -f /usr/share/xemacs/%{version}/lisp/vm/vm.elc
#if test -e /usr/share/xemacs/%{version}/lisp/xpm-button.el -a \
#	-e /usr/share/xemacs/%{version}/lisp/xemacs-base/xpm-button.el
#then
#      rm -f /usr/share/xemacs/%{version}/lisp/xpm-button.el
#      rm -f /usr/share/xemacs/%{version}/lisp/xpm-button.elc
#fi
# Make TUTORIAL's visible
for t in /usr/share/xemacs/%{version}/etc/mule/TUTORIAL.* ; do
      test -e $t || break
      test -e /usr/share/xemacs/%{version}/etc/${t##*/} && rm -f $t
      test -e $t && mv $t /usr/share/xemacs/%{version}/etc/${t##*/}
done
# install the standard app-defaults file used for all languages
# which don't have their own app-defaults file above:
mkdir -p /usr/X11R6/lib/X11/app-defaults/
install -m 644 etc/Emacs.ad /usr/X11R6/lib/X11/app-defaults/XEmacs
# SuSE extension
install -m 0644 site-packages/lisp/site-start.el /usr/share/xemacs/%{version}/site-packages/lisp/
install -m 0644 site-packages/lisp/term/func-keys.el /usr/share/xemacs/%{version}/site-packages/lisp/term/
install -m 0644 site-packages/lisp/term/linux.el /usr/share/xemacs/%{version}/site-packages/lisp/term/
install -m 0644 site-packages/lisp/term/xterm.el /usr/share/xemacs/%{version}/site-packages/lisp/term/
install -m 0644 site-packages/lisp/term/gnome.el /usr/share/xemacs/%{version}/site-packages/lisp/term/
install -m 0644 site-packages/lisp/term/kvt.el   /usr/share/xemacs/%{version}/site-packages/lisp/term/
xemacs -batch -vanilla -f batch-byte-compile /usr/share/xemacs/%{version}/site-packages/lisp/term/*.el
mkdir -p %{_docdir}/xemacs
mkdir -p /usr/share/gnats
install -m 0644 suse/README.SuSE %{_docdir}/xemacs/README.SuSE
ln -sf   /usr/share/xemacs/%{version}/etc %{_docdir}/xemacs/etc
ln -sf   /usr/share/xemacs/%{version}/etc/gnats/xemacs.org /usr/share/gnats/xemacs.org
#
touch /tmp/estamp; sleep 3; sync
( find / -xdev \( -newer /tmp/bstamp -a \( -not -newer /tmp/estamp \) \) -a \( \
       \( \( \( -not -type d \) -a \( -not -type l \) \) -printf '%%p\n' \) -o \
       \( -type d -printf '%%p/\n' \) -o \( -type l -printf '%%p\n'  \) \)  ;  \
  find /usr/share/xemacs/ /usr/lib/xemacs/ -type f -o -type l )     |  \
       sort -t /| uniq | grep -vE '^(/tmp|/proc|/usr/src/packages)' > xe-list
xemacs -batch -l $RPM_SOURCE_DIR/xe-list.el -f xe-list-generate-list-files
cat xe-list-el-without-elc xe-list-elc-without-el xe-list-elc-with-el \
    >> xe-list-el-without-elc_xe-list-elc-without-el_xe-list-elc-with-el
rm /tmp/estamp /tmp/bstamp
##
# install desktop file
%if %suse_version > 820
%suse_update_desktop_file -i xemacs TextEditor
%endif
##

%files -f xe-list-el-without-elc_xe-list-elc-without-el_xe-list-elc-with-el
%defattr(-,root,root)
%if %suse_version > 820
/usr/share/applications/xemacs.desktop
%endif
/usr/X11R6/bin/b2m
/usr/X11R6/bin/ellcc
/usr/X11R6/bin/gnuattach
/usr/X11R6/bin/gnuclient
/usr/X11R6/bin/gnudoit
/usr/X11R6/bin/ootags
/usr/X11R6/bin/rcs-checkin
/usr/X11R6/bin/xemacs
/usr/X11R6/bin/xemacs.dmp
/usr/X11R6/lib/X11/app-defaults/XEmacs
%dir /usr/lib/xemacs
%dir /usr/lib/xemacs/%{version}
%dir /usr/lib/xemacs/%{version}/*-suse-linux/
/usr/lib/xemacs/%{version}/*-suse-linux/DOC
/usr/lib/xemacs/%{version}/*-suse-linux/add-big-package.sh
/usr/lib/xemacs/%{version}/*-suse-linux/config.values
/usr/lib/xemacs/%{version}/*-suse-linux/cvtmail
/usr/lib/xemacs/%{version}/*-suse-linux/digest-doc
/usr/lib/xemacs/%{version}/*-suse-linux/fakemail
/usr/lib/xemacs/%{version}/*-suse-linux/gnuserv
/usr/lib/xemacs/%{version}/*-suse-linux/gzip-el.sh
/usr/lib/xemacs/%{version}/*-suse-linux/hexl
%dir /usr/lib/xemacs/%{version}/*-suse-linux/include/
/usr/lib/xemacs/%{version}/*-suse-linux/include/*.h
%dir /usr/lib/xemacs/%{version}/*-suse-linux/include/m/
%doc /usr/lib/xemacs/%{version}/*-suse-linux/include/m/README
/usr/lib/xemacs/%{version}/*-suse-linux/include/m/*.h
%dir /usr/lib/xemacs/%{version}/*-suse-linux/include/s/
%doc /usr/lib/xemacs/%{version}/*-suse-linux/include/s/README
/usr/lib/xemacs/%{version}/*-suse-linux/include/s/*.h
/usr/lib/xemacs/%{version}/*-suse-linux/make-docfile
/usr/lib/xemacs/%{version}/*-suse-linux/mmencode
%dir /usr/lib/xemacs/%{version}/*-suse-linux/modules/
/usr/lib/xemacs/%{version}/*-suse-linux/movemail
/usr/lib/xemacs/%{version}/*-suse-linux/profile
/usr/lib/xemacs/%{version}/*-suse-linux/rcs2log
/usr/lib/xemacs/%{version}/*-suse-linux/sorted-doc
/usr/lib/xemacs/%{version}/*-suse-linux/vcdiff
/usr/lib/xemacs/%{version}/*-suse-linux/wakeup
/usr/lib/xemacs/%{version}/*-suse-linux/yow
%dir /usr/lib/xemacs/site-modules/
%dir %{_docdir}/xemacs/
%doc %{_docdir}/xemacs/README.SuSE
%{_docdir}/xemacs/etc
%dir /usr/share/gnats
/usr/share/gnats/xemacs.org
%doc /usr/share/man/man1/gnuattach.1.gz
%doc /usr/share/man/man1/gnuclient.1.gz
%doc /usr/share/man/man1/gnudoit.1.gz
%doc /usr/share/man/man1/gnuserv.1.gz
%doc /usr/share/man/man1/xemacs.1.gz
%dir /usr/share/xemacs/
%dir /usr/share/xemacs/%{version}/
%dir /usr/share/xemacs/%{version}/etc/
%doc /usr/share/xemacs/%{version}/etc/BETA
%doc /usr/share/xemacs/%{version}/etc/CHARSETS
%doc /usr/share/xemacs/%{version}/etc/CODING-STANDARDS
%doc /usr/share/xemacs/%{version}/etc/CODINGS
%doc /usr/share/xemacs/%{version}/etc/COPYING
%doc /usr/share/xemacs/%{version}/etc/COPYING.LIB
%doc /usr/share/xemacs/%{version}/etc/DEBUG
%doc /usr/share/xemacs/%{version}/etc/DISTRIB
%doc /usr/share/xemacs/%{version}/etc/Emacs.ad
#%doc /usr/share/xemacs/%{version}/etc/Emacs.ad.appdef
%doc /usr/share/xemacs/%{version}/etc/FTP
%doc /usr/share/xemacs/%{version}/etc/GNU
%doc /usr/share/xemacs/%{version}/etc/HELLO
%doc /usr/share/xemacs/%{version}/etc/InstallGuide
%doc /usr/share/xemacs/%{version}/etc/LPF
%doc /usr/share/xemacs/%{version}/etc/MACHINES
%doc /usr/share/xemacs/%{version}/etc/MAILINGLISTS
%doc /usr/share/xemacs/%{version}/etc/MORE.STUFF
%doc /usr/share/xemacs/%{version}/etc/MOTIVATION
%doc /usr/share/xemacs/%{version}/etc/NEWS
%doc /usr/share/xemacs/%{version}/etc/ONEWS
%doc /usr/share/xemacs/%{version}/etc/OONEWS
%doc /usr/share/xemacs/%{version}/etc/ORDERS
%doc /usr/share/xemacs/%{version}/etc/ORDERS.EUROPE
%doc /usr/share/xemacs/%{version}/etc/ORDERS.JAPAN
%doc /usr/share/xemacs/%{version}/etc/OXYMORONS
%doc /usr/share/xemacs/%{version}/etc/PACKAGES
%doc /usr/share/xemacs/%{version}/etc/README
%doc /usr/share/xemacs/%{version}/etc/README.HYPERBOLE
%doc /usr/share/xemacs/%{version}/etc/README.OO-BROWSER
%doc /usr/share/xemacs/%{version}/etc/SERVICE
%doc /usr/share/xemacs/%{version}/etc/TERMS
%doc /usr/share/xemacs/%{version}/etc/TUTORIAL
%doc /usr/share/xemacs/%{version}/etc/TUTORIAL.de
%doc /usr/share/xemacs/%{version}/etc/TUTORIAL.fr
%doc /usr/share/xemacs/%{version}/etc/TUTORIAL.hr
%doc /usr/share/xemacs/%{version}/etc/TUTORIAL.ja
%doc /usr/share/xemacs/%{version}/etc/TUTORIAL.ko
%doc /usr/share/xemacs/%{version}/etc/TUTORIAL.no
%doc /usr/share/xemacs/%{version}/etc/TUTORIAL.pl
%doc /usr/share/xemacs/%{version}/etc/TUTORIAL.ro
%doc /usr/share/xemacs/%{version}/etc/TUTORIAL.ru
%doc /usr/share/xemacs/%{version}/etc/TUTORIAL.se
%doc /usr/share/xemacs/%{version}/etc/TUTORIAL.th
/usr/share/xemacs/%{version}/etc/XKeysymDB
/usr/share/xemacs/%{version}/etc/aliases.ksh
/usr/share/xemacs/%{version}/etc/cbx.png
/usr/share/xemacs/%{version}/etc/check_cygwin_setup.sh
/usr/share/xemacs/%{version}/etc/chr.png
/usr/share/xemacs/%{version}/etc/chrm.png
%dir /usr/share/xemacs/%{version}/etc/custom
/usr/share/xemacs/%{version}/etc/custom/check0.xpm
/usr/share/xemacs/%{version}/etc/custom/check1.xpm
/usr/share/xemacs/%{version}/etc/custom/choose-down.png
/usr/share/xemacs/%{version}/etc/custom/choose-up.png
/usr/share/xemacs/%{version}/etc/custom/done-down.png
/usr/share/xemacs/%{version}/etc/custom/done-up.png
/usr/share/xemacs/%{version}/etc/custom/down-pushed.xpm
/usr/share/xemacs/%{version}/etc/custom/down.xpm
%dir /usr/share/xemacs/%{version}/etc/custom/example-themes/
/usr/share/xemacs/%{version}/etc/custom/example-themes/ex-custom-file
/usr/share/xemacs/%{version}/etc/custom/face.xpm
/usr/share/xemacs/%{version}/etc/custom/folder.xpm
/usr/share/xemacs/%{version}/etc/custom/open-down.png
/usr/share/xemacs/%{version}/etc/custom/open-up.png
/usr/share/xemacs/%{version}/etc/custom/option.xpm
/usr/share/xemacs/%{version}/etc/custom/radio0.xpm
/usr/share/xemacs/%{version}/etc/custom/radio1.xpm
/usr/share/xemacs/%{version}/etc/custom/reset-down.png
/usr/share/xemacs/%{version}/etc/custom/reset-up.png
/usr/share/xemacs/%{version}/etc/custom/right-pushed.xpm
/usr/share/xemacs/%{version}/etc/custom/right.xpm
/usr/share/xemacs/%{version}/etc/custom/save-down.png
/usr/share/xemacs/%{version}/etc/custom/save-up.png
/usr/share/xemacs/%{version}/etc/custom/set-down.png
/usr/share/xemacs/%{version}/etc/custom/set-up.png
/usr/share/xemacs/%{version}/etc/custom/state-down.png
/usr/share/xemacs/%{version}/etc/custom/state-up.png
/usr/share/xemacs/%{version}/etc/custom/toggle-off-down.png
/usr/share/xemacs/%{version}/etc/custom/toggle-off-up.png
/usr/share/xemacs/%{version}/etc/custom/toggle-on-down.png
/usr/share/xemacs/%{version}/etc/custom/toggle-on-up.png
/usr/share/xemacs/%{version}/etc/editclient.sh
/usr/share/xemacs/%{version}/etc/emacskeys.sco
/usr/share/xemacs/%{version}/etc/emacsstrs.sco
%dir /usr/share/xemacs/%{version}/etc/eos/
/usr/share/xemacs/%{version}/etc/eos/eos-build.xbm
/usr/share/xemacs/%{version}/etc/eos/eos-clear-at.xbm
/usr/share/xemacs/%{version}/etc/eos/eos-cont.xbm
/usr/share/xemacs/%{version}/etc/eos/eos-dismiss.xbm
/usr/share/xemacs/%{version}/etc/eos/eos-down.xbm
/usr/share/xemacs/%{version}/etc/eos/eos-evaluate-star.xbm
/usr/share/xemacs/%{version}/etc/eos/eos-evaluate.xbm
/usr/share/xemacs/%{version}/etc/eos/eos-fix.xbm
/usr/share/xemacs/%{version}/etc/eos/eos-intro.xbm
/usr/share/xemacs/%{version}/etc/eos/eos-introB.xbm
/usr/share/xemacs/%{version}/etc/eos/eos-introD.xbm
/usr/share/xemacs/%{version}/etc/eos/eos-introDB.xbm
/usr/share/xemacs/%{version}/etc/eos/eos-run.xbm
/usr/share/xemacs/%{version}/etc/eos/eos-run2.xbm
/usr/share/xemacs/%{version}/etc/eos/eos-step-into.xbm
/usr/share/xemacs/%{version}/etc/eos/eos-step-over.xbm
/usr/share/xemacs/%{version}/etc/eos/eos-stop-in.xbm
/usr/share/xemacs/%{version}/etc/eos/eos-stop.xbm
/usr/share/xemacs/%{version}/etc/eos/eos-type.xbm
/usr/share/xemacs/%{version}/etc/eos/eos-up.xbm
/usr/share/xemacs/%{version}/etc/gnu.xbm
/usr/share/xemacs/%{version}/etc/gnu.xpm
/usr/share/xemacs/%{version}/etc/gnuattach.1.gz
/usr/share/xemacs/%{version}/etc/gnuclient.1.gz
/usr/share/xemacs/%{version}/etc/gnudoit.1.gz
/usr/share/xemacs/%{version}/etc/gnuserv.1.gz
/usr/share/xemacs/%{version}/etc/gnuserv.README
/usr/share/xemacs/%{version}/etc/gray1.xbm
%dir /usr/share/xemacs/%{version}/etc/idd/
/usr/share/xemacs/%{version}/etc/idd/drop
/usr/share/xemacs/%{version}/etc/idd/dropmsk
/usr/share/xemacs/%{version}/etc/ms-kermit
/usr/share/xemacs/%{version}/etc/ms-kermit-7bit
/usr/share/xemacs/%{version}/etc/package-index.LATEST.pgp
%doc %dir /usr/share/xemacs/%{version}/etc/photos/
%doc /usr/share/xemacs/%{version}/etc/photos/*
/usr/share/xemacs/%{version}/etc/recycle.xpm
/usr/share/xemacs/%{version}/etc/recycle2.xpm
%doc /usr/share/xemacs/%{version}/etc/refcard.ps.gz
%doc /usr/share/xemacs/%{version}/etc/refcard.tex
%doc /usr/share/xemacs/%{version}/etc/sample.Xdefaults
/usr/share/xemacs/%{version}/etc/sink.xbm
%dir /usr/share/xemacs/%{version}/etc/sparcworks/
/usr/share/xemacs/%{version}/etc/sparcworks/SW.Editor.xpm
/usr/share/xemacs/%{version}/etc/sparcworks/sunpro-mailcap
%dir /usr/share/xemacs/%{version}/etc/tests
%dir /usr/share/xemacs/%{version}/etc/tests/external-widget/
/usr/share/xemacs/%{version}/etc/tests/external-widget/Makefile
/usr/share/xemacs/%{version}/etc/tests/external-widget/test-ew-motif.c
/usr/share/xemacs/%{version}/etc/tests/external-widget/test-ew-xlib.c
%dir /usr/share/xemacs/%{version}/etc/toolbar/
/usr/share/xemacs/%{version}/etc/toolbar/*
/usr/share/xemacs/%{version}/etc/trash.xpm
/usr/share/xemacs/%{version}/etc/xemacs-beta.xpm
/usr/share/xemacs/%{version}/etc/xemacs-enhanced.png
/usr/share/xemacs/%{version}/etc/xemacs-fe.sh
/usr/share/xemacs/%{version}/etc/xemacs-icon.xpm
/usr/share/xemacs/%{version}/etc/xemacs-icon2.xbm
/usr/share/xemacs/%{version}/etc/xemacs-icon2.xpm
/usr/share/xemacs/%{version}/etc/xemacs-icon3.xpm
/usr/share/xemacs/%{version}/etc/xemacs-ja.1.gz
/usr/share/xemacs/%{version}/etc/xemacs.1.gz
/usr/share/xemacs/%{version}/etc/xemacs.xbm
/usr/share/xemacs/%{version}/etc/xemacs.xpm
%dir /usr/share/xemacs/%{version}/lisp/
%doc /usr/share/xemacs/%{version}/lisp/ChangeLog
%doc /usr/share/xemacs/%{version}/lisp/ChangeLog.1
%doc /usr/share/xemacs/%{version}/lisp/ChangeLog.GTK
%doc /usr/share/xemacs/%{version}/lisp/README
%dir /usr/share/xemacs/%{version}/lisp/mule/
%dir /usr/share/xemacs/%{version}/lisp/term
%doc /usr/share/xemacs/%{version}/lisp/term/README
%dir /usr/share/xemacs/%{version}/site-packages/
%dir /usr/share/xemacs/%{version}/site-packages/lisp/
%dir /usr/share/xemacs/%{version}/site-packages/lisp/term/
%dir /usr/share/xemacs/site-lisp/
%dir /usr/share/xemacs/site-lisp/lisp/
%dir /var/lib/xemacs/
%dir /var/lib/xemacs/lock/

%files       -n xemacs-info
%defattr(-,root,root)
%dir /usr/share/xemacs/info/
%doc /usr/share/xemacs/info/*

%files       -n xemacs-el -f xe-list-el-with-elc
%defattr(-,root,root)

%changelog -n xemacs
* Fri Feb 04 2005 - werner@suse.de
- Security fix for movemail applied (bug #50237)
* Tue Sep 02 2003 - werner@suse.de
- Fix the fix: make function keys work again (bug #29654)
* Mon Aug 25 2003 - werner@suse.de
- Fix key modifier handling, there is no slot handling
  anymore but every symbol has a type (e.g. Ctr-Alt) (bug #28995)
* Sat Aug 23 2003 - mfabian@suse.de
- install desktop file only %%if %%suse_version > 820
  to make it build on older distributions as well.
* Fri Aug 22 2003 - mfabian@suse.de
- update to 21.4.13 "Rational FORTRAN".
* Fri Aug 22 2003 - mfabian@suse.de
- remove mule-ucs-xemacs and Mule-UCS-xemacs from "Provides:"
  and "Obsoletes:" (moved to xemacs-packages).
* Thu Aug 21 2003 - mfabian@suse.de
- split new packages out of xemacs{,-el,-info}:
  xemacs-packages{,-el,-info}
* Sat Aug 16 2003 - adrian@suse.de
- install desktop file from kappfinder
* Fri Jul 25 2003 - mfabian@suse.de
- fix race condition when generating the file list.
* Tue Jun 24 2003 - ro@suse.de
- added directories to filelist
* Tue Jun 24 2003 - ro@suse.de
- fixed filelist
* Thu Mar 13 2003 - mfabian@suse.de
- Bug #25300: call 'latin-unity-install' for non-UTF-8 locales in
  site-packages/lisp/term/func-keys.el to write files in
  iso-8859-15 encoding correctly without inserting
  ISO-2022 escape sequences. Don't call it in UTF-8 locales!
  If 'latin-unity-install' is called in a UTF-8 locale,
  the behaviour of the coding systems "binary" and "no-conversion"
  becomes strange, they convert to UTF-8 when writing files
  with German umlauts, which is surprising for "binary".
* Thu Mar 06 2003 - kukuk@suse.de
- Remove cyrus-sasl from neededforbuild
* Fri Feb 28 2003 - mfabian@suse.de
- fix Bugzilla #23472:
  generate /usr/share/xemacs/xemacs-packages/info/dir and
  /usr/share/xemacs/mule-packages/info/dir and include them
  in the xemacs-info package.
* Fri Feb 28 2003 - mfabian@suse.de
- include latest changes by Ben <ben@xemacs.org> to edebug
  to make it work again. The edebug as included in
  sumo-2003-02-05 doesn't work at all.
- improve Werner's func-keys.el
  (make XIM work right ja_JP.UTF-8 locale, load latin-unity
  and latin-euro-input, append the coding-system setup stuff to
  'before-init-hook instead of adding it at the beginning because
  'mule-init is already in 'before-init-hook)
* Wed Feb 26 2003 - werner@suse.de
- Fix coding system settings: use the correct value
* Fri Feb 14 2003 - schwab@suse.de
- Fix data limit check.
* Thu Feb 06 2003 - mfabian@suse.de
- update packages to sumo-2003-02-05
  (fixes the problem that XEmacs didn't automatically switch
  to c++-mode, perl-mode, etc. anymore. The initial values of
  interpreter-mode-alist and auto-mode-alist are rather short
  now and are dynamically changed when a package is loaded. To
  make this work a sufficiently uptodate Sumo was necessary).
- disable packages-cvs-sumo-2002-09-19-comint.patch again, XEmacs
  shell-mode works better with TERM=emacs and Werner added the
  emacs entry to terminfo again.
- remove hunks which are included upstream from
  packages-cvs-xemacs-sumo-2002-05-22-locale-start.patch
  packages-cvs-sumo-2002-09-19-xslt-process.patch
* Thu Jan 30 2003 - mfabian@suse.de
- update to 21.4.12
- add packages-cvs-sumo-2002-09-19-comint.patch:
  (defvar system-suse-terminfo t) to use TERM=dumb by default
  like GNU Emacs does. The previous default was TERM=emacs, which
  doesn't exist in the latest terminfo.
* Mon Dec 16 2002 - mfabian@suse.de
- workaround for fontSet problem in app-defaults:
  use "XEmacs*fontSet:" instead of just "*fontSet:" in the
  app-defaults files.
- workaround to avoid dumping the paths to lisp files
  as /usr/src/packages/BUILD/... into the xemacs executable adapted
  for the portable dumper
* Fri Dec 13 2002 - mfabian@suse.de
- add /usr/X11R6/bin/xemacs-%%{version}-*.dmp to file list.
* Fri Dec 13 2002 - mfabian@suse.de
- update to 21.4.11rc1
- update Sumo to 2002-09-19
- remove parts of packages-cvs-xemacs-sumo-2002-03-29-ps-print.patch
  which are included upstream
- use portable dumper by default
- fix Makefiles of xslt-process
* Thu Dec 12 2002 - coolo@suse.de
- use libndbm instead of libgdbm for non-GNU dbm
* Wed Nov 20 2002 - schwab@suse.de
- More autoconf fixes.
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Mon Aug 19 2002 - mfabian@suse.de
- quick and dirty fix to make it build again.
  The Makefile in the 'locale' package lists 3 .elc files with
  the same name in different subdirectories. 'make install'
  tries to copy them all into the same destination directory:
  cp -af {ja,ro,fr}/locale-start.elc \
  /usr/share/xemacs/mule-packages/lisp/locale/
  The 'cp' from latest fileutils cowardly refuses to overwrite
  the Japanese and Romanian versions of locale-start.elc with
  the French version, as it did until now.
  But the files in /usr/share/xemacs/mule-packages/lisp/locale/
  are apparently never read anyway, only the files from
  /usr/share/xemacs/mule-packages/etc/start-files/{ja,ro,fr}/
  are read. Therefore I fixed this temporarily by not building
  any locale-start.elc files which prevents installing anything
  into /usr/share/xemacs/mule-packages/lisp/locale/.
- use the correct encoding for the output of
  'LC_ALL=ja_JP.eucJP xemacs --help',
  'LC_ALL=ja_JP.UTF-8 xemacs --help', and
  'LC_ALL=ja_JP.SJIS xemacs --help'.
- similar problem with 'cp' fixed in mule-ucs package
* Fri Aug 16 2002 - mfabian@suse.de
- add packages-cvs-xemacs-sumo-2002-05-22-gnus-5.8.8-utf-8.patch
  to make it possible to send Mails in UTF-8 with Gnus 5.8.8.
* Sun Aug 11 2002 - mfabian@suse.de
- change # neededforbuild:
  cannadev -> canna canna-devel canna-libs
* Mon Jul 22 2002 - werner@suse.de
- diff-mode: check on hunk even if file diff starts (bug #17035)
* Mon Jul 22 2002 - werner@suse.de
- Fix path expansion in apel/install.el of sumo tar ball
- Enable RPM_OPT_FLAGS for SuSE Linux version > 8.0
* Fri Jul 05 2002 - kukuk@suse.de
- Use %%ix86 macro
* Mon Jun 10 2002 - mfabian@suse.de
- small improvement in ps-mule.el patch:
  keep hanglm24.bdf as a fallback if gulim24.bdf doesn't exist.
* Wed May 29 2002 - mfabian@suse.de
- update to 21.4.8 + sumo-2002-05-22
- remove lib64.patch, xemacs-21.4.4-printer.el.patch,
  xemacs-21.4.4-moduledir.patch,
  packages-cvs-xemacs-sumo-2002-03-29-xslide.patch, and
  packages-cvs-xemacs-sumo-2002-03-29-liece.patch
  (included upstream)
- add UTF-8 versions of translated app-defaults
- add *fontSet definitions including iso10646-1 fonts to all
  app-defaults.
- add default app-defaults file
  /usr/X11R6/lib/X11/app-defaults/XEmacs to get the same *fontSet
  settings when starting XEmacs in an UTF-8 locale which has no
  translated app-defaults file (e.g. en_US.UTF-8).
- generate the file lists for the .el and .elc files automatically
  in the .spec file
* Mon May 06 2002 - schwab@suse.de
- Readd ia64 patch, suitably adapted.
- Fix lib64 configuration.
* Thu May 02 2002 - mfabian@suse.de
- fix printing with when (setq ps-multibyte-buffer 'bdf-font)
  is used
* Thu Apr 25 2002 - mfabian@suse.de
- update to 21.4.6 + sumo-2002-03-29
- the update broke the build on ppc and axp, fix it.
- Provides += mule-ucs-xemacs Mule-UCS-xemacs,
  Obsoletes += mule-ucs-xemacs Mule-UCS-xemacs
  (Mule-UCS 0.84 is already part of the sumos now).
- remove packages-cvs-xemacs-sumo-2001-07-09-ia64.patch, patched
  file doesn't exist anymore.
- add packages-cvs-xemacs-sumo-2002-03-29-liece.patch and
  packages-cvs-xemacs-sumo-2002-03-29-xslide.patch to fix build
  problems in packages.
- add packages-cvs-xemacs-sumo-2002-03-29-ps-print.patch (some
  fixes for CJK printing and printing with bdf fonts)
- fix file list: some new lisp packages have been added, some
  old ones were removed and there were some mistakes in the file
  list as well.
* Tue Apr 23 2002 - aj@suse.de
- Enable building on architectures with lib64.
- Fix compiler flags for x86.
* Thu Apr 04 2002 - schwab@suse.de
- Fix missing quotes in configure script.
* Fri Mar 08 2002 - kukuk@suse.de
- Fix file list
* Fri Feb 22 2002 - werner@suse.de
- Fix bug #13340: use correct lisp macro name of mouse wheel
  screen scrolling.
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Oct 25 2001 - mfabian@suse.de
- remove "/site-packages/lisp/term/" directory from load-path
- add --moduledir configure option
- add workaround to avoid dumping the paths to lisp files
  as /usr/src/packages/BUILD/... into the xemacs executable
- add pattch for big-menubar.el (thanks to <schwab@suse.de>)
* Thu Oct 18 2001 - mfabian@suse.de
- fix printer.el to make 'generic-print-region' work again
  under Linux like operating systems
* Fri Sep 21 2001 - mfabian@suse.de
- fix font-menu.el to make changing fonts with the menu
  possible again.
* Mon Sep 10 2001 - aj@suse.de
- Remove extra space in LDFLAGS to allow building on PowerPC and
  alpha.
* Wed Sep 05 2001 - werner@suse.de
- FHS: /var/state/xemacs -> /var/lib/xemacs (bug #8678)
* Mon Sep 03 2001 - aj@suse.de
- Don't sort relocation entries, otherwise dumping breaks.
* Mon Jul 02 2001 - mfabian@suse.de
- update to 21.4.4
- remove redisplay patch (included upstream)
- remove xemacs-sumo-2000-09-04-jde.patch (jde doesn't exist
  anymore in the current sumos)
- remove xemacs-sumo-2000-09-04-mc.patch (included upstream)
- remove xemacs-db3.patch (included upstream)
- rebuild XEmacs packages from the CVS tree instead of using
  the sumo tarballs. This enables us to easily apply patches
  and rebuild all .elc files, which is difficult with the sumos
- remove xemacs-sumo-2000-01-24-vm.patch,
  xemacs-sumo-2000-09-04-ilisp.patch
  (was only needed to fix problems in rebuilding the .elc files,
  not necessary anymore when rebuilding the .elc from CVS).
- move xemacs-sumo-2000-09-04-ispell.patch into
  packages-cvs-xemacs-sumo-2001-07-09.patch
- removed xemacs-ia64.dif (not needed anymore)
- add gpp libgpp to "# neededforbuild" (the packages contain C++
  sources)
- remove "xemacs-21.4.4-info.tar.bz2" to save some space in the
  source rpm (All these info files can be rebuild from the texinfo
  sources in the main source tar ball "xemacs-21.4.4.tar.bz2")
* Thu Jun 07 2001 - werner@suse.de
- A long way: Fix trouble with new autoconf
* Thu Jun 07 2001 - werner@suse.de
- Make autoconf work again
* Mon May 14 2001 - werner@suse.de
- Add mail crypt patch (bug#8300)
* Tue May 08 2001 - werner@suse.de
- Move [(shift home)] and [(shift end)] to [(control home)] and
  [(control end)] to be more common with WIN XY.
- Move func-keys load from window-setup-hook to init function of
  xfree of xemacs.
* Thu May 03 2001 - werner@suse.de
- Fix typo in crypt.el (bug#7525)
* Fri Apr 06 2001 - mfabian@suse.de
- commented out 'ascii-character property changes for 'delete
  and 'backspace in func-keys.el, because this causes problems
  when using the XEmacs <-> Canna interface (Backspace didn't
  cancel the henkan anymore)
* Sun Apr 01 2001 - schwab@suse.de
- Fix ia64 support.
- Add support for Berkeley DB3 from CVS.
* Fri Mar 30 2001 - werner@suse.de
- Keybinding
  Change [(home)] from beginning-of-buffer to beginning-of-line
  Change [(end)] from end-of-buffer to end-of-line
  Add [(shift home)] for beginning-of-buffer
  Add [(shift end)]  for end-of-buffer
- Basic wheel mouse support
* Thu Mar 15 2001 - ro@suse.de
- changed neededforbuild for openldap2
* Thu Mar 15 2001 - ro@suse.de
- fixed neededforbuild for openldap
* Mon Feb 05 2001 - werner@suse.de
- Add LDAP on configuration
* Mon Feb 05 2001 - werner@suse.de
- Security update to 21.1.14
* Mon Jan 22 2001 - mfabian@suse.de
- installed pcl-cvs package as well (it was disabled due to
  problems with this packages, but it seems to work fine now,
  so it can be enabled again).
* Tue Nov 21 2000 - werner@suse.de
- Remove swapping of kp-separator/kp-decimal because it's
  done in xkbd map for german keyboards
* Tue Nov 21 2000 - werner@suse.de
- Move package names
  * from xe_exec to xemacs
  * from xe_lisp to xemacs-el
  * from xe_info to xemacs-info
- Add kvt.el and gnome.el for the terminal kvt and gnome-terminal
- Make ispell.el compatible ispell-emacs-menu.el
* Fri Nov 17 2000 - mfabian@suse.de
- Build with support for FreeWnn.
- added redisplay patch important for Japanese
  (see http://www.xemacs.org/list-archives/xemacs-beta/199912/msg00376.html)
* Tue Oct 24 2000 - werner@suse.de
- Replace `@AUCDIR' kludge from lisp/auctex/tex-site.el by the
  location of the auctex data directory (etc/auctex/).
- Use a more generally printer setup for auctex.
* Mon Oct 23 2000 - aj@suse.de
- Build with X-Face support.
* Sun Sep 17 2000 - schwab@suse.de
- Add support for ia64.
- Fix typo in configure.in.
* Fri Sep 15 2000 - werner@suse.de
- Dump cl-macs into xemacs to avoid nasty loading messages
- Fix byte compiling of jde, mew, and ilisp packages
* Fri Sep 08 2000 - werner@suse.de
- Correct file list
- make tar's bzip2ed
- add xterm Ctrl+cursor keys
- move dif from 2.1.10 to 2.1.12
* Thu Sep 07 2000 - aj@suse.de
- Update to XEmacs 21.1.12 and Sumo packages from 2000-09-04.
* Thu Jul 13 2000 - mfabian@suse.de
- cannadev is needed for build to get Canna support compiled in.
- added support for international menubars.
* Thu Jun 29 2000 - werner@suse.de
- remove circular dependency between xe_exec and xe_info
* Mon May 29 2000 - aj@suse.de
- Update to XEmacs 21.1.10 and  current packages (except pcl-cvs
  which has some problems)
* Wed Apr 05 2000 - bk@suse.de
- needs automake for update config.{sub,guess} macro
* Tue Apr 04 2000 - bk@suse.de
- s390 team added support for s390
* Thu Feb 17 2000 - aj@suse.de
- Added Y2k patch for vc, fixed scaled font handling.
* Mon Feb 07 2000 - kasal@suse.de
- app-defaults files should be %%config
* Thu Jan 27 2000 - ro@suse.de
- specfile: re-done %%setup section for new tar
* Tue Jan 25 2000 - werner@suse.de
- New version 21.1.8
- New tarballs 2000-01-24
- New fix for vm package
- /usr/man -> /usr/share/man
* Fri Jan 14 2000 - werner@suse.de
- Fix vm package: macros arn't autoloadable by xemacs 21.x
* Wed Dec 22 1999 - werner@suse.de
- Uh: install and pack some missed scripts
* Wed Dec 01 1999 - werner@suse.de
- Fix pty handling: use glibc extension
* Thu Nov 11 1999 - werner@suse.de
- Fix the site-package extension
  * ispell menus
  * xterm/console key mappings
- Fix font menu: set `ignore scaled fonts' to nil
* Fri Nov 05 1999 - werner@suse.de
- Change file list of xe_info and xe_lisp
* Thu Nov 04 1999 - werner@suse.de
- Remove libgif from required packages
* Sat Oct 30 1999 - ro@suse.de
- modified filelist for nonx86
- removed libz from neededforbuild: it's default
* Fri Oct 29 1999 - werner@suse.de
- Remove `with system malloc' because the last patch seems
  to help. Without system malloc we see more speed
* Thu Oct 28 1999 - werner@suse.de
- Add patch for glibc and __malloc_hook
* Tue Oct 26 1999 - werner@suse.de
- New glibc requires `with system malloc'
* Wed Oct 20 1999 - werner@suse.de
- Last checks
* Wed Oct 20 1999 - werner@suse.de
- New version 21.1.7
  * avoid locale problems due to lisp formats of time e.g.
- Use xemacs-mule-sumo-1999-05-27.tar.gz to avoid trouble
  with not synched mule versions of xemacs and mule-sumo
- Use xemacs-sumo-1999-07-29.tar.gz
  * Many bug fixes due to missed load statements and
  minor version comparision: (19.)13 > (21.)1
- Add the already used bug fixes and changes
  * security
  * ispell menu
  * dinbrief.el for auctex
  * ...
- Store xemacs in /usr/share/xemacs/<version>/
  and /usr/<lib>/xemacs/<version>/
- Move info to /usr/share/xemacs/info/
- Enable site-lisp and move it to /usr/share/xemacs/site-lisp/
- Make configured in paths work
* Mon Sep 27 1999 - bs@suse.de
- fixed requirements for sub packages
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Aug 13 1999 - werner@suse.de 
- fix locale handling of xemacs
  * overwrite LC_NUMERIC, LC_TIME, and LC_MESSAGES to
  "C" to get something what can xemacs can handle
- fix dinbrief.el
* Mon Apr 05 1999 - bs@suse.de
- fixed date strings in .changes.
* Mon Mar 08 1999 - werner@suse.de 
- Remove site-lisp/ispell.el* to use the dynamic
  rebuild of the Spell menu of the ispell package
- Create a site-start.el to do that
* Thu Nov 12 1998 - bs@suse.de
- fixed spec file for new rpm.
* Tue Nov 03 1998 - werner@suse.de
- Change names of languages and encoding style in ispell
  from `language    (encod)' to `language-encod'
* Tue Jul 28 1998 - werner@suse.de
- Do not use system malloc ... some parts of xemacs arn't
  smart enough for that.
- Disable const
* Mon Jul 27 1998 - werner@suse.de
- Use redhat patch for alpha ... means make it work for all
  arch's. This because I do not want use ordinary linkage which
  may causes the troubles seen with xemacs and shared libs.
* Mon Jul 20 1998 - werner@suse.de
- use mktemp if avaliable
* Fri Jul 10 1998 - werner@suse.de
- Check all script in lib-src against tmp exploits
- Fix pstogif (exploit and uninitialized variables)
- Add disp-table to site-load
* Thu Jul 09 1998 - werner@suse.de
- Add american to the (i)spell menu
- Use -fno-force-mem (egcs-bug)
- Use -rpath-link /usr/X11R6/lib
- Avoid multiple common
- Remove and set some CONST
* Wed May 27 1998 - werner@suse.de
- Use Xaw3d instead of Xaw to avoid trouble with xaw3dd
- Change pop service "pop" to "pop3"
* Tue Mar 03 1998 - werner@suse.de
- New version 20.4
- Same changes done for 20.3 (hacked ispell.el for our new ditcs)
- Fix the change doe for viper-ex.el
- Remove ctags (own package), send-pr and install-sid (gnats)
  out of /usr/X11R6/bin/
* Wed Feb 11 1998 - werner@suse.de
- New version 20.3
  * Dead keys seems to work
  * Now BS and DEL are distinct
- Some changes, e.g. hacked ispell.el for our new ditcs
* Thu Nov 06 1997 - werner@suse.de
- New version 20.2
- Add XFree86 deadlock keys to x-compose.el and x-iso8859-1.el
- Some changes
* Fri Jul 18 1997 - werner@suse.de
- New patchlevel 19.15pl7
- Remove one change of a patch to save choosen fonts in
  `save options'
- Add deadlock keys to x-compose.el and x-iso8859-1.el
* Sun May 25 1997 - werner@suse.de
- New version: 19.15
- some changes in keycode under TERM=xterm (term/xterm.el)
- info goes to /usr/X11R6/lib/xemacs/info/
* Tue Feb 04 1997 - werner@suse.de
- Aufraeumen von term/linux.el und term/xterm.el:
  Statt setzten von delete/backspace wird nun
  delbackspace.el verwendet.
- Fix in einer Info-Seite
* Thu Jan 02 1997 - werner@suse.de
- Neue Version von Xemacs: 19.14
- Anpassungen  an TERM=linux, TERM=xterm
- Delete loescht Zeichen unter dem Cursor
